#include "kk_log.h"

zlog_category_t *g_zlogC;
int kk_zlog_init(char* module)
{
	int rc;
	rc = zlog_init("zlog.conf");
	
	if (rc) {
		printf(" kk_zlog_init init failed\n");
		return -1;
	
	}
	
	g_zlogC = zlog_get_category(module);
	
	if (!g_zlogC) {
		printf("kk_zlog_init get cat fail\n");
		zlog_fini();
		return -2;
	}
	
	//zlog_info(c, "hello, zlog");
	//zlog_debug(c, "debug hello, zlog");	
	//zlog_fini();
	
	return 0;

}

